﻿Public Class Form1

    Private Sub StartTimerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        ProccessTimer.Start()
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ProccessTimer.Tick
        'Function proccesses the timer count
        __Progress__()
    End Sub

    Private Sub HideBorderToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles HideBorderToolStripMenuItem.Click
        Me.FormBorderStyle = Windows.Forms.FormBorderStyle.None
    End Sub

    Private Sub ShowBorderToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ShowBorderToolStripMenuItem.Click
        Me.FormBorderStyle = Windows.Forms.FormBorderStyle.FixedDialog
    End Sub

    Private Sub XToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles XToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub HideProgressBarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles HideProgressBarToolStripMenuItem.Click
        ProgressBar1.Visible = False
    End Sub

    Private Sub ShowProgressBarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ShowProgressBarToolStripMenuItem.Click
        ProgressBar1.Visible = True
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If My.Settings.BarWidth = True Then
            Me.Width = My.Computer.Screen.Bounds.Width
            ProgressBar1.Dock = DockStyle.Right
            ProgressBar1.Width = My.Computer.Screen.Bounds.Width - 320
        Else

        End If
        If My.Settings.BorderHide = True Then
            Me.FormBorderStyle = Windows.Forms.FormBorderStyle.None
        Else
        End If

        ProgressBar1.ForeColor = My.Settings.BarColor
    End Sub

    Private Sub OptionsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OptionsToolStripMenuItem.Click
        options.Show()
    End Sub

    Private Sub RestartApplicationToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RestartApplicationToolStripMenuItem.Click
        My.Settings.Save()
        Application.Restart()
    End Sub

    Private Sub ActionsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ActionsToolStripMenuItem.Click
        ProccessTimer.Start()
        If My.Settings.Taskbar = True Then
            Me.ShowInTaskbar = False
        End If
        If My.Settings.Taskbar = False Then
            Me.ShowInTaskbar = True
        End If
    End Sub

    Private Sub MinimizeWindowToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MinimizeWindowToolStripMenuItem.Click
        Me.WindowState = FormWindowState.Minimized
    End Sub

    Private Sub StopTimerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StopTimerToolStripMenuItem.Click
        ProccessTimer.Stop()
        ProgressBar1.Value = 0
    End Sub
End Class
